
  {**********************************************}
  {*                                            *}
  {*  Microdor VCL Extensions                   *}
  {*                                            *}
  {*  Copyright (c) 2000-2009 by Microdor Ltd.  *}
  {*                                            *}
  {**********************************************}

  {
Version 1.00 Release 2001

  Metrics Text
    At left or bottom part appears metrics text such as 'cm' or 'inch'
    Font for the metrics text
    Positioning the text in the ruler
  Supports Track line in the ruler
    Enable and disable the track
    Pen for the Track
  Supports 3 kinds of Lines
    Setting the positioning in the ruller
  Numbers
    Vertical and Horizontal numbers
    Font for numbers
  Range
    Range from Start position to End position
    Range from Start position to the Track position


:
1.            .   
 Kind     .
2.

  }
unit DsGraphicRuler;
//------------------------------------------------------------------------------
interface
//------------------------------------------------------------------------------
uses
  Classes, DSCustomGraphicRuler;
//------------------------------------------------------------------------------
type
//------------------------------------------------------------------------------
  TDSGraphicRuler = class(TDSCustomGraphicRuler)
  published
    property StartPos;
    property ScaleFactor;
    property MinPixelsPerBigStep;
    property IdentStart;
    property IdentEnd;
    property Opposite;
    property MeasureText;
    property MeasureFactor;
    property MeasureVisible;
    property Measure;

    property OnPaintLogical;
    property Kind;
    property Track;
    property Range;
    property NumFont;
    property Align;
    property Anchors;
    property Font;
    property Color;
    property ColorTo;
    property Steps;
  end;
//------------------------------------------------------------------------------
procedure Register;
//------------------------------------------------------------------------------
implementation
//------------------------------------------------------------------------------
procedure Register;
begin
  RegisterComponents('DSCad', [TDSGraphicRuler]);
end;
//------------------------------------------------------------------------------
end.
